Bug 1177278 - CVE-2014-8964 mingw-pcre: pcre: incorrect handling of zero-repeat assertion conditions [fedora-all]
Summary: CVE-2014-8964 mingw-pcre: pcre: incorrect handling of zero-repeat assertion c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-pcre
Version: 21
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Stokes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-8964
TreeView+ depends on / blocked
 
Reported: 2014-12-25 16:13 UTC by Tomas Hoger
Modified: 2015-12-02 13:33 UTC (History)
5 users (show)

Fixed In Version: mingw-pcre-8.35-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-05 07:34:08 UTC
Type: ---


Attachments (Terms of Use)
(f22) Update to 8.36 and add upstream patches (7.37 KB, patch)
2014-12-25 17:12 UTC, Yaakov Selkowitz
no flags Details | Diff
(f20) Add upstream patches from main pcre package (34.55 KB, patch)
2014-12-25 17:43 UTC, Yaakov Selkowitz
no flags Details | Diff
(f19) Add upstream patches from pcre package (3.01 KB, patch)
2014-12-25 19:45 UTC, Yaakov Selkowitz
no flags Details | Diff
(f21) Update to 8.35 and add upstream patches (47.56 KB, patch)
2014-12-25 19:49 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Tomas Hoger 2014-12-25 16:13:51 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2014-12-25 16:13:57 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1166147,1177278

# Description of your update
notes=Security fix for CVE-2014-8964

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1166147,1177278

Comment 2 Yaakov Selkowitz 2014-12-25 17:12:40 UTC
Created attachment 973054 [details]
(f22) Update to 8.36 and add upstream patches

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8480133

Comment 3 Yaakov Selkowitz 2014-12-25 17:43:15 UTC
Created attachment 973056 [details]
(f20) Add upstream patches from main pcre package

Comment 4 Yaakov Selkowitz 2014-12-25 17:43:42 UTC
(In reply to Yaakov Selkowitz from comment #3)
> Created attachment 973056 [details]
> (f20) Add upstream patches from main pcre package

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8480188

Comment 5 Yaakov Selkowitz 2014-12-25 19:45:48 UTC
Created attachment 973070 [details]
(f19) Add upstream patches from pcre package

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8480290

Comment 6 Yaakov Selkowitz 2014-12-25 19:49:14 UTC
Created attachment 973071 [details]
(f21) Update to 8.35 and add upstream patches

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8480258

Comment 7 Fedora Update System 2014-12-25 22:47:57 UTC
mingw-pcre-8.35-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-pcre-8.35-1.fc21

Comment 8 Fedora Update System 2014-12-25 22:49:13 UTC
mingw-pcre-8.35-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mingw-pcre-8.35-1.el7

Comment 9 Fedora Update System 2014-12-25 22:50:00 UTC
mingw-pcre-8.33-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-pcre-8.33-4.fc20

Comment 10 Fedora Update System 2014-12-25 22:51:01 UTC
mingw-pcre-8.33-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-pcre-8.33-4.fc19

Comment 11 Fedora Update System 2014-12-26 19:48:50 UTC
Package mingw-pcre-8.35-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mingw-pcre-8.35-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4916/mingw-pcre-8.35-1.el7
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-01-05 07:34:08 UTC
mingw-pcre-8.33-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-01-05 07:39:47 UTC
mingw-pcre-8.35-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-01-05 07:40:25 UTC
mingw-pcre-8.33-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-01-12 17:39:50 UTC
mingw-pcre-8.35-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.